## kernel-patch-kdb 2.1-3-1

=== tmp/kdb/Makefile ===
O_TARGET	:= kdb.o
export-objs	:= kdbmain.o kdb_io.o
obj-y		:= kdb_bt.o kdb_bp.o kdb_id.o kdbsupport.o gen-kdb_cmds.o kdbmain.o kdb_io.o

subdir-$(CONFIG_KDB_MODULES) := modules
obj-y += $(addsuffix /vmlinux-obj.o, $(subdir-y))

override CFLAGS := $(CFLAGS:%-pg=% )

EXTRA_CFLAGS += -I $(TOPDIR)/arch/$(ARCH)/kdb

include $(TOPDIR)/Rules.make

gen-kdb_cmds.c:	kdb_cmds Makefile
	$(AWK) 'BEGIN {print "#include <linux/init.h>"} \
		/^ *#/{next} \
		/^[ \t]*$$/{next} \
		{print "static __initdata char kdb_cmd" cmds++ "[] = \"" $$0 "\\n\";"} \
		END {print "char __initdata *kdb_cmds[] = {"; for (i = 0; i < cmds; ++i) {print "  kdb_cmd" i ","}; print("  0\n};");}' \
		kdb_cmds > gen-kdb_cmds.c

=== tmp/kdb/modules/Makefile ===
#
# Makefile for i386-specific kdb files..
#
#  Copyright 1999, Silicon Graphics Inc.
# 
#  Written April 1999 by Scott Lurndal at Silicon Graphics, Inc.
#

O_TARGET := vmlinux-obj.o
obj-$(CONFIG_KDB_MODULES) += kdbm_vm.o kdbm_pg.o
CFLAGS_kdbm_vm.o	+= -I $(TOPDIR)/drivers/scsi

EXTRA_CFLAGS += -I $(TOPDIR)/arch/$(ARCH)/kdb

include $(TOPDIR)/Rules.make

=== debian/changelog ===
kernel-patch-kdb (2.1-3-1) unstable; urgency=low

  * Added patches for 2.4.18 and 2.5.5 (no ia64 patch for 2.5.5 though).
  * 2.4 and 2.5 have independant changelogs, install both.
  * Doc includes a presentation and demonstration using magicpoint -
    suggesting package mgp.

 -- Yann Dirson <dirson@debian.org>  Wed, 20 Mar 2002 00:50:47 +0100

kernel-patch-kdb (2.1-2-1) unstable; urgency=low

  * Updated common and ia64 patches to latest.
  * New arch patch: sparc64.

 -- Yann Dirson <dirson@debian.org>  Thu, 21 Feb 2002 04:50:05 +0100

kernel-patch-kdb (2.1-5) unstable; urgency=low

  * Use dh-kpatches 0.99.8 to get transparent application of kdbcore.

 -- Yann Dirson <dirson@debian.org>  Mon, 18 Feb 2002 06:58:43 +0100

kernel-patch-kdb (2.1-4) unstable; urgency=low

  * Rebuild with 0.99.5.  Should fix Depends issue for 2.2 kernels.

 -- Yann Dirson <dirson@debian.org>  Mon, 11 Feb 2002 04:22:50 +0100

kernel-patch-kdb (2.1-3) unstable; urgency=low

  * Use kpatch:Depends from dh-kpatches 0.99.3.
  * Fixed debian/rules to put the build in binary-indep, not -arch;
    removed useless call to dh_shlibdeps.
  * Fixed original packaging - use pristine source this time.

 -- Yann Dirson <dirson@debian.org>  Thu,  7 Feb 2002 09:16:35 +0100

kernel-patch-kdb (2.1-2) unstable; urgency=medium

  * Use dh-kpatches 0.99.1 (Closes: #129430).
  * Updated README.Debian.

 -- Yann Dirson <dirson@debian.org>  Sun, 27 Jan 2002 16:10:59 +0100

kernel-patch-kdb (2.1-1) unstable; urgency=low

  * New upstream release, supporting 2.4.17.  Only keep 1.5 for 2.2.18 as
    additional patch (Closes: #129430).
  ** Patch is now split into arch-indep and arch-specific parts.
  ** Some sparc64 support, many update in the doc to reflect this.
  * Install arch-specific changelogs.
  * Documented doc and changelog extraction in README.Debian.
  * Use build-depend-indep, not build-depend (lintian).

 -- Yann Dirson <dirson@debian.org>  Sun, 20 Jan 2002 18:51:47 +0100

kernel-patch-kdb (1.9-1) unstable; urgency=low

  * New upstream release, supporting 2.4.10 (and 2.4.11-pre4 for x86
    only).
  ** New debugger commands: md<W>c<N> (display <N> words of width <W>),
    mm<W> (modify word of width <W>)
  * In case the new VM in 2.4.10 causes problems to some, I includes 1.8
    for 2.4.9 and 2.4.8 on x86, and 1.8a for for 2.4.9 on ia64.
  * Install ChangeLog from latest x86 patch (identical in ia64 patch
    anyway).
  * Added a lintian override for the "Replaces" on the old virtual package
    that had the same name than this package.
  * Went through the policy upgrading-checklist, and bumped
    Standards-Version to 3.5.6 - no change.

 -- Yann Dirson <dirson@debian.org>  Sat,  6 Oct 2001 16:38:19 +0200

kernel-patch-kdb (1.8-2.4.5-1) unstable; urgency=low

  * 1.8 patches for 2.4 kernels up to 2.4.6pre4.

 -- Yann Dirson <dirson@debian.org>  Wed, 27 Jun 2001 09:51:27 +0200

kernel-patch-kdb (1.8-3) unstable; urgency=medium

  * Rebuilt with dh-kpatches 0.5 to fix unpatching - updated build-deps.

 -- Yann Dirson <dirson@debian.org>  Wed,  9 May 2001 22:59:35 +0200

kernel-patch-kdb (1.8-2) unstable; urgency=low

  * Updated README.Debian to mention --added-patches
  * Rebuilt with dh-kpatches 0.3 to be kind to patches with APPLIED stamp
    outside debian/ directory.

 -- Yann Dirson <dirson@debian.org>  Fri, 23 Mar 2001 01:22:55 +0100

kernel-patch-kdb (1.8-1) unstable; urgency=low

  * New upstream release:
  ** Support for ia64.
  ** Support for 2.4.2.
  * Build-dep on dh-kpatches 0.2 for correct multi-patchset support.

 -- Yann Dirson <dirson@debian.org>  Tue, 13 Mar 2001 16:43:06 +0100

kernel-patch-kdb (1.7-1) unstable; urgency=low

  * New upstream release:
  ** Support for 2.4.0.
  ** New "sections" command.
  * Include 1.5 for 2.2.18 (may have problems to compile some
    configurations).
  * Added a "note to package hackers" explaining oddities found in the
    control file.

 -- Yann Dirson <dirson@debian.org>  Sat, 20 Jan 2001 16:40:44 +0100

kernel-patch-kdb (1.6-2) unstable; urgency=low

  * Use new dh-kpatches package to build.

 -- Yann Dirson <dirson@debian.org>  Mon,  4 Dec 2000 23:37:11 +0100

kernel-patch-kdb (1.6-1) unstable; urgency=low

  * New upstream release:
  ** Can now be turned of at run-time.
  ** Main doc is now a manpage too.
  ** Docs were updated.
  * Include 1.5 for 2.2.18-pre15 (known to fail on pre20, though).
  * Use latest version of dh_installkpatches (dated 2000-09-03).
  * Moved manpages from section 1 to section 3.

 -- Yann Dirson <dirson@debian.org>  Mon,  4 Dec 2000 23:37:11 +0100

kernel-patch-kdb (1.2-2) unstable; urgency=low

  * Include kdb 0.6 for stable 2.2 series (2.2.13).
  * Bounced Standards-Version to 3.1.1.
  * Added informational message before running "patch --dry-run".
  * Fixed parsing of EXTRAVERSION to work when empty.
  * Create debian/ subdir on patch application if it does not exist, so
    that direct call to apply script can always be undone with unpatch
    script (which in turn removes debian/ subdir if empty).

 -- Yann Dirson <dirson@debian.org>  Fri, 16 Jun 2000 21:43:50 +0200

kernel-patch-kdb (1.2-1) unstable; urgency=low

  * New upstream release.
  * Use included experimental dh_installkpatches script (patch apply
    script tries in a robust way to apply the best patch file).
  * Dropped kernel version from binary package name.
  * Do not force kdb into the kernel - realized that option --config in
    make-kpkg lets the user select it.
  * Suggest virtual package kernel-source instead of specific kernel
    package.
  * Updated README.Debian.
  * Fixed location of GPL file in copyright file (last time was a quite
    broken attempt indeed - hopefully noone noticed :}).
  * No useless build-stamp any more.

 -- Yann Dirson <dirson@debian.org>  Wed, 14 Jun 2000 22:06:14 +0200

kernel-patch-kdb (0.6-2) frozen unstable; urgency=low

  * Fixed location of GPL file in copyright file.



=== debian/control ===
Source: kernel-patch-kdb
Section: devel
Priority: extra
Maintainer: Yann Dirson <dirson@debian.org>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.8)

Package: kernel-patch-kdb
Architecture: all
Depends: binutils-dev, ${kpatch:Depends}
Conflicts: kernel-patch-2.2.10-kdb, kernel-patch-kdb
Replaces: kernel-patch-2.2.10-kdb, kernel-patch-kdb
Suggests: kernel-source, kernel-package (>> 6.23), mgp
Description: Builtin kernel debugger.
 This package contains a patch to the Linux kernel, which provides a
 means of examining kernel memory and data structures while the system
 is operational.  Only i386, ia64, and sparc64 are supported for now.
 .
 This package includes a magicpoint presentation and demo; you'll need
 the mgp package to view it.
 .
 Additional commands may be easily added to format and display
 essential system data structures given an identifier or address of the
 data structure.
 .
 Current command set allows complete control of kernel operations
 including single-stepping a processor, stopping upon execution of a
 specific instruction, stopping upon access (or modification) of a
 specific virtual memory location, stopping upon access to a register
 in the input-output address space, stack tracebacks for the current
 active task as well as for all other tasks (by process id),
 instruction disassembly, et. al.
 .
 The officially supported kernel version at this date for kdb 2.1 is
 2.4.17, but versions close enough may (or may not)
 work.  Please look at /use/share/doc/kernel-patch-kdb/README.Debian
 for more info.
 .
 Also provided is kdb 1.5 for kernel 2.2.18, which appears to work with
 2.2.19 as well.
 .
 The BFD headers from the binutils-dev package are required to compile
 a kdb-enabled kernel.
 .
 Version 6.23 of the kernel-package package has a bug preventing correct
 application of this patch.

=== debian/rules ===
#! /usr/bin/make -f

PATCH=kdb

PACKAGE=kernel-patch-${PATCH}

####################

arch=$(shell dpkg --print-architecture)

topdir=$(shell pwd)
destdir=${topdir}/debian/tmp
mandir=${destdir}/usr/share/man
docdir=${destdir}/usr/share/doc/${PACKAGE}
man3dir=${mandir}/man3

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

binary-arch:	build

binary-indep:	build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs /usr/share/lintian/overrides/
	dh_installkpatches

	cp debian/lintian-overrides \
		${destdir}/usr/share/lintian/overrides/${PACKAGE}

	install -m755 -d ${man3dir}
	cd doc && for i in bp bt env ll md rd ss; do \
		install -m644 kdb_$${i}.man ${man3dir}/kdb_$${i}.3 ;\
	done
	install -m644 doc/kdb.mm ${man3dir}/kdb.3

	for i in bpa bph bpha bd bc be bl; do \
		ln -s kdb_bp.3 ${man3dir}/kdb_$${i}.3 ;\
	done
	for i in btp bta; do \
		ln -s kdb_bt.3 ${man3dir}/kdb_$${i}.3 ;\
	done
	ln -s kdb_env.3 ${man3dir}/kdb_set.3
	for i in mdr mds mm; do \
		ln -s kdb_md.3 ${man3dir}/kdb_$${i}.3 ;\
	done
	for i in rf ef; do \
		ln -s kdb_rd.3 ${man3dir}/kdb_$${i}.3 ;\
	done
	ln -s kdb_ss.3 ${man3dir}/kdb_ssb.3

	dh_installdocs README ChangeLogs-* doc/kdb-slides.mgp

	dh_installchangelogs ChangeLogs-2.4/ChangeLog
  # replace duplicate with symlink
	rm -f ${docdir}/ChangeLogs-2.4/ChangeLog
	ln -s ../changelog ${docdir}/ChangeLogs-2.4/ChangeLog

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep clean checkroot

## kernel-patch-kdb 4.4-2

=== debian/changelog ===
kernel-patch-kdb (4.4-2) unstable; urgency=low

  * Patches for 2.6.7 (i386 and ia64 only).
  * Updated 2.6.6 patches.
  * 2.6.6 support for sparc64 and amd64 (wow!).
  * Removed 4.3 patches for 2.6.5
  * Reworked version/arch descriptions in extended description.
  * Install manpages in man1 instead of man3, since they declare this
    section, and really describe more commands than library calls

 -- Yann Dirson <dirson@debian.org>  Mon, 21 Jun 2004 11:56:05 +0200

kernel-patch-kdb (4.4-1) unstable; urgency=low

  * New upstream release (i386 and ia64, for 2.6.6).
  * Removed some 4.3 patches, only keeping patches for 2.4.25 and 2.6.5.

 -- Yann Dirson <dirson@debian.org>  Mon, 24 May 2004 15:16:00 +0200

kernel-patch-kdb (4.3-10) unstable; urgency=low

  * 2.6.5 update: common patch update, first patch for ia64, and
    upstream-regenerated i386 patch (apparently no content change).

 -- Yann Dirson <dirson@debian.org>  Fri, 16 Apr 2004 16:27:28 +0200

kernel-patch-kdb (4.3-9) unstable; urgency=low

  * New patches for 2.6.5, only for i386.

 -- Yann Dirson <dirson@debian.org>  Wed,  7 Apr 2004 11:28:09 +0200

kernel-patch-kdb (4.3-8) unstable; urgency=low

  * New patches for 2.6.4.
  * Updated patches for 2.4.25 and 2.6.3.

 -- Yann Dirson <dirson@debian.org>  Fri, 26 Mar 2004 12:03:06 +0100

kernel-patch-kdb (4.3-7) unstable; urgency=low

  * New versions, for 2.4.25 and 2.6.3, on i386 and ia64.
  * Dropped patches for 2.6.0-test11, 2.4.21 and 2.4.22.  Only kept 2.4.21
    for sparc64 support.
  * Make 2.6 ChangeLog file the official upstream changelog.

 -- Yann Dirson <dirson@debian.org>  Thu, 19 Feb 2004 10:53:56 +0100

kernel-patch-kdb (4.3-6) unstable; urgency=low

  * Declare compatibility with 2.4.24.

 -- Yann Dirson <dirson@debian.org>  Wed,  7 Jan 2004 14:24:16 +0100

kernel-patch-kdb (4.3-5) unstable; urgency=low

  * Include patches for 2.4.23 (i386, ia64).
  * Drop patches for 2.4.20 and 2.2.18.

 -- Yann Dirson <dirson@debian.org>  Sun,  7 Dec 2003 12:33:20 +0100

kernel-patch-kdb (4.3-4) unstable; urgency=low

  * i386 and ia64 patches for 2.4.22.
  * Bumped Standards-version to 3.6.1, no change.

 -- Yann Dirson <dirson@debian.org>  Thu, 16 Oct 2003 18:38:48 +0200

kernel-patch-kdb (4.3-3) unstable; urgency=low

  * New version of common and i386 patches for 2.4.21, and patch for
    2.4.21 on ia64.  This adds new (but undocumented) commands on i386:
    rdv, gdt, idt, ldt, ldtp, ptex.

 -- Yann Dirson <dirson@debian.org>  Tue, 22 Jul 2003 11:33:22 +0200

kernel-patch-kdb (4.3-2) unstable; urgency=low

  * New version of i386 patch for 2.4.21.
  * Updated README file.

 -- Yann Dirson <dirson@debian.org>  Thu,  3 Jul 2003 15:43:32 +0200

kernel-patch-kdb (4.3-1) unstable; urgency=low

  * New upstream release, supporting i386, ia64 and sparc64 for 2.4.20,
    and i386 and sparc64 for 2.4.21.  Did not provide debian-adapted
    versions yet.  
  * Installed new dump.txt file about interactions with LKCD.  Will
    require the "flavour" feature of upcoming dh-kpatches 1.x to make
    automated use of those instructions.  
  * Bumped Standards-Version to 3.5.10, no change.

 -- Yann Dirson <dirson@debian.org>  Sun, 29 Jun 2003 09:41:19 +0200

kernel-patch-kdb (4.1-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Dropped old
    sparc64 patch.
  * Provide a modified patch for the debian-patched 2.4.20 kernel, based
    on the modifications to kdb 2.3 by Sean Finney, using the
    Debian-patch-file hack of dh-kpatches 0.99.21 (Closes: #172826).
  * New command btt.

 -- Yann Dirson <dirson@debian.org>  Wed, 23 Apr 2003 18:49:28 +0200

kernel-patch-kdb (3.0-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Kept v2.1 patch 
    for sparc64. 
  * Doc updates to reflect the new stuff (btc command, history and
    completion).  Noticed that some new commands mentionned in Changelog
    are not documented anywhere (fl, defcmd/endefcmd).
  * Removed trailing period from short desc.

 -- Yann Dirson <dirson@debian.org>  Fri, 14 Feb 2003 11:35:08 +0100

kernel-patch-kdb (2.5-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Kept v2.1 patch
    for sparc64.

 -- Yann Dirson <dirson@debian.org>  Wed, 27 Nov 2002 00:10:04 +0100

kernel-patch-kdb (2.3-4) unstable; urgency=low

  * New upstream common and i386 patches for 2.3, on 2.4.19 and 2.5.43.
  * Install 2.5 ChangeLogs again.
  * Improved installation of manpages - should not require modifications
    any more when new manpages are added.

 -- Yann Dirson <dirson@debian.org>  Thu, 17 Oct 2002 22:22:59 +0200

kernel-patch-kdb (2.3-3) unstable; urgency=low

  * New upstream common and i386 patches for 2.3, on 2.4.19 and 2.5.42.

 -- Yann Dirson <dirson@debian.org>  Mon, 14 Oct 2002 23:59:23 +0200

kernel-patch-kdb (2.3-2) unstable; urgency=low

  * New upstream patch for 2.3 on ia64.
  * Use dh-kpatches 0.99.16, factorized Depends lines in kpatches file.
  * Bounced Standards-Version to 3.5.7.
  * Stop shipping 2.1 for early 2.5 - presumably noone's using them
    any more, and they're eating too much space.

 -- Yann Dirson <dirson@debian.org>  Wed, 11 Sep 2002 22:31:08 +0200

kernel-patch-kdb (2.3-1) unstable; urgency=low

  * New upstream release, only supporting i386 and ia64.  Kept v2.1 patch
    for sparc64.
  * Use latest and greatest dh-kpatches (0.99.13).

 -- Yann Dirson <dirson@debian.org>  Fri, 16 Aug 2002 03:31:37 +0200

kernel-patch-kdb (2.1-4-1) unstable; urgency=low

  * Replaced 2.4.18 i386 patch with new one, which was regenerated
    upstream (only changes in diff headers).
  * Updated 2.4.18 kdbcore to latest.
  * Added 2.4.19-pre6 and 2.5.7 for i386.

 -- Yann Dirson <dirson@debian.org>  Mon, 22 Apr 2002 00:52:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Standards-Version: 3.5.6
-Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.8)
+Standards-Version: 3.6.1
+Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.21)
 
 Package: kernel-patch-kdb
 Architecture: all
@@ -11,10 +11,10 @@
 Conflicts: kernel-patch-2.2.10-kdb, kernel-patch-kdb
 Replaces: kernel-patch-2.2.10-kdb, kernel-patch-kdb
 Suggests: kernel-source, kernel-package (>> 6.23), mgp
-Description: Builtin kernel debugger.
+Description: Builtin kernel debugger
  This package contains a patch to the Linux kernel, which provides a
  means of examining kernel memory and data structures while the system
- is operational.  Only i386, ia64, and sparc64 are supported for now.
+ is operational.
  .
  This package includes a magicpoint presentation and demo; you'll need
  the mgp package to view it.
@@ -31,13 +31,10 @@
  active task as well as for all other tasks (by process id),
  instruction disassembly, et. al.
  .
- The officially supported kernel version at this date for kdb 2.1 is
- 2.4.17, but versions close enough may (or may not)
- work.  Please look at /use/share/doc/kernel-patch-kdb/README.Debian
- for more info.
- .
- Also provided is kdb 1.5 for kernel 2.2.18, which appears to work with
- 2.2.19 as well.
+ Included is support for 2.6.7 on i386 and ia64, and 2.6.6 on i386,
+ ia64, sparc64, and amd64. kdb 4.3 versions for 2.6.5 and 2.4.25 are
+ also provided.  Versions close enough may (or may not) work.  Please
+ look at /use/share/doc/kernel-patch-kdb/README.Debian for more info.
  .
  The BFD headers from the binutils-dev package are required to compile
  a kdb-enabled kernel.

=== debian/rules ===
#! /usr/bin/make -f

PATCH=kdb

PACKAGE=kernel-patch-${PATCH}

####################

arch=$(shell dpkg --print-architecture)

topdir=$(shell pwd)
destdir=${topdir}/debian/tmp
mandir=${destdir}/usr/share/man
docdir=${destdir}/usr/share/doc/${PACKAGE}
man1dir=${mandir}/man1

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

binary-arch:	build

binary-indep:	build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs /usr/share/lintian/overrides/
	dh_installkpatches

	cp debian/lintian-overrides \
		${destdir}/usr/share/lintian/overrides/${PACKAGE}

	install -m755 -d ${man1dir}
	cd doc && for i in *.man; do \
		i=$${i#kdb_}; i=$${i%.man}; \
		install -m644 kdb_$${i}.man ${man1dir}/kdb_$${i}.1 ;\
	done
	install -m644 doc/kdb.mm ${man1dir}/kdb.1

	for i in bpa bph bpha bd bc be bl; do \
		ln -s kdb_bp.1 ${man1dir}/kdb_$${i}.1 ;\
	done
	for i in btp bta btc btt; do \
		ln -s kdb_bt.1 ${man1dir}/kdb_$${i}.1 ;\
	done
	ln -s kdb_env.1 ${man1dir}/kdb_set.1
	for i in mdr mds mm; do \
		ln -s kdb_md.1 ${man1dir}/kdb_$${i}.1 ;\
	done
	for i in rf ef; do \
		ln -s kdb_rd.1 ${man1dir}/kdb_$${i}.1 ;\
	done
	ln -s kdb_ss.1 ${man1dir}/kdb_ssb.1

	dh_installdocs README ChangeLogs-* doc/kdb-slides.mgp doc/dump.txt

	dh_installchangelogs ChangeLogs-2.6/ChangeLog
  # replace duplicate with symlink
	rm -f ${docdir}/ChangeLogs-2.6/ChangeLog
	ln -s ../changelog ${docdir}/ChangeLogs-2.6/ChangeLog

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep clean checkroot

## kernel-patch-kdb 4.4-4

=== debian/changelog ===
kernel-patch-kdb (4.4-4) unstable; urgency=low

  * Declare 2.6.8 patch as applying to 2.6.8.1 as well.  Build-depend on
    dh-kpatches 0.99.35 for this.

 -- Yann Dirson <dirson@debian.org>  Sun, 24 Oct 2004 17:47:03 +0200

kernel-patch-kdb (4.4-3) unstable; urgency=low

  * Patches for 2.6.8 and 2.6.9 (i386 and ia64 only).
  * Updated 2.6.7 common patch.
  * Added manpage link for mdp command.

 -- Yann Dirson <dirson@debian.org>  Sun, 24 Oct 2004 16:52:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
 Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.21)
+Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.35)
 
 Package: kernel-patch-kdb
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 		ln -s kdb_bt.1 ${man1dir}/kdb_$${i}.1 ;\
 	done
 	ln -s kdb_env.1 ${man1dir}/kdb_set.1
-	for i in mdr mds mm; do \
+	for i in mdp mdr mds mm; do \
 		ln -s kdb_md.1 ${man1dir}/kdb_$${i}.1 ;\
 	done
 	for i in rf ef; do \

## kernel-patch-kdb 4.4-10

=== debian/changelog ===
kernel-patch-kdb (4.4-10) unstable; urgency=low

  * New patches, for 2.6.18 (Closes: #393287).
  * Updated installed doc to those from latest patch.

 -- Yann Dirson <dirson@debian.org>  Wed, 18 Oct 2006 22:36:04 +0200

kernel-patch-kdb (4.4-9) unstable; urgency=low

  * New patches, for 2.6.17 (i386, ia64, amd64), and 2.6.16 for amd64.
  * Dropped patches for 2.6.13 and 2.6.14, not in sid or etch any more.
  * Updated installed doc to those from latest patch.
  * Changed Build-depend-indep on debhelper to a Build-depends (lintian).
  * Bumped Standards-version to 3.7.2 (no change).

 -- Yann Dirson <dirson@debian.org>  Mon, 11 Sep 2006 22:46:33 +0200

kernel-patch-kdb (4.4-8) unstable; urgency=low

  * New patches, for 2.6.15 and 2.6.16 (i386, ia64).
  * Dropping patches for 2.6.12 and 2.6.13.  Keeping 2.6.14 as it is the
    latest version with amd64 support.
  * Updated installed doc to those from latest patch.

 -- Yann Dirson <dirson@debian.org>  Sun,  9 Apr 2006 11:23:16 +0200

kernel-patch-kdb (4.4-7) unstable; urgency=low

  * New patches, for 2.6.14 (i386, ia64, amd64), and 2.6.13 for amd64.
  * Sync'd documentation
  * Fixed manpage links: new one for rm, removed one for rf (old typo ?).
  * Use pristine filename for slides in source package, only rename it on
    install.
  * Changed debhelper compat level from 1 to 5: throw debian/tmp, use
    ${misc:Depends}.  
  * Added a lintian override for native-package-with-dash-version.
  * Bumped Standards-version to 3.6.2, no change.

 -- Yann Dirson <dirson@debian.org>  Sat, 10 Dec 2005 14:06:56 +0100

kernel-patch-kdb (4.4-6) unstable; urgency=low

  * New patches, for 2.6.13.
  * Dropped 2.6.11 patches.

 -- Yann Dirson <dirson@debian.org>  Fri, 23 Sep 2005 21:53:55 +0200

kernel-patch-kdb (4.4-5) unstable; urgency=low

  * New patches, for 2.6.11 and 2.6.12.
  * Sync'd documentation.
  * Dropped old patch for older 2.6 and 2.4 kernels.

 -- Yann Dirson <dirson@debian.org>  Tue, 28 Jun 2005 21:42:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper, dh-kpatches (>= 0.99.35)
+Standards-Version: 3.7.2
+Build-Depends-Indep: dh-kpatches (>= 0.99.35)
+Build-Depends: debhelper (>= 5)
 
 Package: kernel-patch-kdb
 Architecture: all
-Depends: binutils-dev, ${kpatch:Depends}
+Depends: binutils-dev, ${kpatch:Depends}, ${misc:Depends}
 Conflicts: kernel-patch-2.2.10-kdb, kernel-patch-kdb
 Replaces: kernel-patch-2.2.10-kdb, kernel-patch-kdb
 Suggests: kernel-source, kernel-package (>> 6.23), mgp

## kernel-patch-kdb 4.4-10.1

=== debian/changelog ===
kernel-patch-kdb (4.4-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop patches for 2.6.16, 2.6.17 and 2.6.18, not in unstable or
    testing any more.
  * Add patches for 2.6.24, 2.6.25 and 2.6.26; closes: #494757
    The x86 architecture replaces i386 and x86_64 since 2.6.24-rc1
  * Add copyright notices
  * Update Changelogs
  * Update doc/{slides,kdb_bt.man}
  * Standards-Version is 3.8.0
  * Add control homepage header

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 04 Sep 2008 20:39:42 +1000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: devel
 Priority: extra
 Maintainer: Yann Dirson <dirson@debian.org>
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 Build-Depends-Indep: dh-kpatches (>= 0.99.35)
 Build-Depends: debhelper (>= 5)
+Homepage: http://oss.sgi.com/projects/kdb/
 
 Package: kernel-patch-kdb
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 arch=$(shell dpkg --print-architecture)
 
 topdir=$(shell pwd)
-destdir=${topdir}/debian/tmp
+destdir=${topdir}/debian/${PACKAGE}
 mandir=${destdir}/usr/share/man
 docdir=${destdir}/usr/share/doc/${PACKAGE}
 man1dir=${mandir}/man1
@@ -52,12 +52,13 @@
 	for i in mdp mdr mds mm; do \
 		ln -s kdb_md.1 ${man1dir}/kdb_$${i}.1 ;\
 	done
-	for i in rf ef; do \
+	for i in ef rm; do \
 		ln -s kdb_rd.1 ${man1dir}/kdb_$${i}.1 ;\
 	done
 	ln -s kdb_ss.1 ${man1dir}/kdb_ssb.1
 
-	dh_installdocs README ChangeLogs-* doc/kdb-slides.mgp doc/dump.txt
+	dh_installdocs README ChangeLogs-* doc/slides doc/dump.txt
+	cd ${docdir} && mv slides kdb-slides.mgp
 
 	dh_installchangelogs ChangeLogs-2.6/ChangeLog
   # replace duplicate with symlink
